
QGIS Application - Bug report #10682

Segmentation fault with Measure Line tool

2014-06-23 02:54 PM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19080

Description

GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04

Copyright (C) 2012 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying" 

and "show warranty" for details.

This GDB was configured as "i686-linux-gnu".

For bug reporting instructions, please see:

<http://bugs.launchpad.net/gdb-linaro/>...

Reading symbols from /usr/bin/qgis.bin...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/qgis.bin 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

[New Thread 0xb57b6b40 (LWP 11736)]

[New Thread 0xb4eb5b40 (LWP 11737)]

DEBUG:MetaSearch:Setting up i18n

DEBUG:MetaSearch:Locale name: en

DEBUG:MetaSearch:Translation loaded: /usr/share/qgis/python/plugins/MetaSearch/locale/en/LC_MESSAGES/ui.qm

[New Thread 0xaee96b40 (LWP 11808)]

[New Thread 0xae144b40 (LWP 11853)]

[Thread 0xaee96b40 (LWP 11808) exited]

Program received signal SIGSEGV, Segmentation fault.

0x082a0a6b in QgsMeasureDialog::mouseMove(QgsPoint&) ()

(gdb) continue

Continuing.

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operação não permitida.

No thread selected

No stack.

gdb returned 0

Program received signal SIGABRT, Aborted.

0x00132416 in __kernel_vsyscall ()
(gdb) continue

Continuing.

[Thread 0xae144b40 (LWP 11853) exited]

[Thread 0xb4eb5b40 (LWP 11737) exited]

[Thread 0xb57b6b40 (LWP 11736) exited]

Program terminated with signal SIGABRT, Aborted.

The program no longer exists.

To reproduce:

1. Open QGIS

2. Select Measure Line

3. Click first point of the measure (Just the first one! If you insert more points than the first, all runs smoothly);

4. Go to Project -> Project Properties or Settings -> Options;

5. Click Ok, Cancel or close the window open in step 4.

Tested on Linux with QGIS master 2.3.0+git20140623+d62a498~precise-ubuntugis1. I can not test if it is a regression at this moment.

Associated revisions

Revision 68cc9f44 - 2014-06-24 12:23 AM - Jürgen Fischer

fix #10682

History

#1 - 2014-06-23 03:24 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"68cc9f44327c2e4d82bfbcee5ece957950d393a5".

#2 - 2014-06-24 03:53 PM - Pedro Venâncio

Thank you very much Jurgen!

2025-04-27 2/2


